## org.eclipse.jst.server.core
Class Servlet

    java.lang.Object
      org.eclipse.wst.server.core.model.ModuleArtifactDelegate
          org.eclipse.jst.server.core.Servlet

All Implemented Interfaces:
  IModuleArtifact

    public class Servlet

extends ModuleArtifactDelegate

A J2EE Servlet.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Constructor Summary
`Servlet()` Create a new empty servlet.
`Servlet(IModule module, java.lang.String className, java.lang.String alias)` Create a reference to a servlet.

Method Summary
`void` `deserialize(java.lang.String s)` Deserialize this object from a serialized string.
`java.lang.String` `getAlias()` Return the servlet's alias.
`java.lang.String` `getName()` Returns a user-presentable name for this artifact.
`java.lang.String` `getServletClassName()` Return the class name of the servlet.
`java.lang.String` `serialize()` Serialize this object into a string.
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.wst.server.core.model.ModuleArtifactDelegate
`getModule`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Servlet

    public Servlet(IModule module,
                   java.lang.String className,
                   java.lang.String alias)

  Create a reference to a servlet.

  Parameters:
    `module` - the module that the servlet is contained in
    `className` - the class name of the servlet
    `alias` - the servlet's alias

### Servlet

    public Servlet()

  Create a new empty servlet.

Method Detail

### getServletClassName

    public java.lang.String getServletClassName()

  Return the class name of the servlet.

  Returns:
    the class name of the servlet

### getAlias

    public java.lang.String getAlias()

  Return the servlet's alias.

  Returns:
    the servlet's alias

### getName

    public java.lang.String getName()

  Description copied from class: `ModuleArtifactDelegate`
  Returns a user-presentable name for this artifact.

  Specified by:
    `getName` in class `ModuleArtifactDelegate`
  Returns:
    a user-presentable name

### deserialize

    public void deserialize(java.lang.String s)

  Description copied from class: `ModuleArtifactDelegate`
  Deserialize this object from a serialized string.

  Overrides:
    `deserialize` in class `ModuleArtifactDelegate`
  Parameters:
    `s` - a serialized string.

### serialize

    public java.lang.String serialize()

  Description copied from class: `ModuleArtifactDelegate`
  Serialize this object into a string.

  Overrides:
    `serialize` in class `ModuleArtifactDelegate`
  Returns:
    a serialized string

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`